#include <iostream>
#include <vector>
using namespace std;

int find(const vector<int>& visine, int l) {
    for (int i = 0; i < visine.size(); i++) {
        if (l >= visine[i])
            return i + 1;
    }
    return -1;
}
int main() {

    int n, l;
    cin >> n >> l;

    vector<int> visine(n);
    for (int i = 0; i < n; i++) 
        cin >> visine[i];

    cout << find(visine, l) << endl;

    return 0;
}